/**
  *  \file planetscentral/dbclient/routerclient.h
  *  \brief Client for c2router
  */
#ifndef C2SERVER_PLANETSCENTRAL_DBCLIENT_ROUTERCLIENT_H
#define C2SERVER_PLANETSCENTRAL_DBCLIENT_ROUTERCLIENT_H

#include "cpluslib/string.h"

/** Simple client for c2router. c2router uses a one-command-per-connection
    paradigm and a different command format (HTTP-like, not redis-like),
    so we cannot use the regular database client here. We also don't
    interpret results specially yet. */
class RouterClient {
 public:
    RouterClient();

    string_t call(string_t command);
    string_t tryCall(string_t command);

    void setHost(string_t h);
    void setPort(string_t p);

 private:
    string_t host;
    string_t port;
};

#endif
